summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2020-08-03 18:54:20 +0200
committerDavid Seifert <soap@gentoo.org>2020-08-03 18:54:20 +0200
commit5e82d24704dfce8efb91971c96031756d46fe0c2 (patch)
tree6e0d3d177c4b44a8bd8bc4815c6ca6466404b3da /sci-libs
parentelisp-common.eclass: Support installation of dynamic modules. (diff)
downloadgentoo-5e82d24704dfce8efb91971c96031756d46fe0c2.tar.gz
gentoo-5e82d24704dfce8efb91971c96031756d46fe0c2.tar.bz2
gentoo-5e82d24704dfce8efb91971c96031756d46fe0c2.zip
sci-libs/htslib: Bump to version 1.10.2
Bug: https://bugs.gentoo.org/725270 Package-Manager: Portage-3.0.1, Repoman-2.3.23 Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'sci-libs')
-rw-r--r--sci-libs/htslib/Manifest1
-rw-r--r--sci-libs/htslib/htslib-1.10.2.ebuild51
2 files changed, 52 insertions, 0 deletions
diff --git a/sci-libs/htslib/Manifest b/sci-libs/htslib/Manifest
index e818f35f147..dce2a3b0b7b 100644
--- a/sci-libs/htslib/Manifest
+++ b/sci-libs/htslib/Manifest
@@ -1,2 +1,3 @@
+DIST htslib-1.10.2.tar.bz2 1306320 BLAKE2B f877bd9c160921f498f4160f687094a1a369732bc9f61cd94a3c9ca311fa9f865505a205e38e0d348a1010b627f1ef07b590cd7e69c945df1d804133b17b2fd1 SHA512 3ecb83b0abccf731cd42b889e352e10dd922524f6e78bcafb04f8c6c71457b0dc1f5f22690b36f03cce7d97a6a905db286243ef4858138068dcac368e4ae1075
DIST htslib-1.5.tar.bz2 1051132 BLAKE2B 90c6aeeaa2a2692228aa1f530d775a6e81f9275d321e8b2d6005b86b9a25e5967acca19dd898311a5bc4f3c17d4e8ea36d18da4602e18fadee47666350122077 SHA512 fd58552ddbd178f9797123fdaf47914ccd0e2aefd055fc6557ac8f479c600775616107cfa871c3acd93079f45974a19f443941a79f2acfd2a8c2983ef35b8917
DIST htslib-1.9.tar.bz2 1178859 BLAKE2B a0229313d3572717101f4f23d39fa124f3bb38d8b2e65055f4f801dbb5f1549df95115e8beadd8fa024171b3ff8a874d20087bf71819c36700666f168dbe41ab SHA512 ddb0e2d970e4c2c27e203b064898f95cb7c187cd497c02fc7b4312dcea25669d0b6063d537687521e7a065f6daefa1ae897add2df4981037a187b499d08fdef7
diff --git a/sci-libs/htslib/htslib-1.10.2.ebuild b/sci-libs/htslib/htslib-1.10.2.ebuild
new file mode 100644
index 00000000000..67a341be70e
--- /dev/null
+++ b/sci-libs/htslib/htslib-1.10.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="C library for high-throughput sequencing data formats"
+HOMEPAGE="http://www.htslib.org/"
+SRC_URI="mirror://sourceforge/samtools/${PV}/${P}.tar.bz2"
+
+LICENSE="MIT"
+SLOT="0/3"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+bzip2 curl +lzma"
+
+RDEPEND="
+ bzip2? ( app-arch/bzip2:= )
+ curl? ( net-misc/curl )
+ lzma? ( app-arch/xz-utils:= )"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+
+ # upstream injects LDFLAGS into the .pc file,
+ # which is a big nono for QA
+ sed -e '/^\(static_l\|Libs.private\|Requires.private\)/d' \
+ -i htslib.pc.in || die
+}
+
+src_configure() {
+ econf \
+ --disable-gcs \
+ --disable-plugins \
+ --disable-s3 \
+ $(use_enable bzip2 bz2) \
+ $(use_enable curl libcurl) \
+ $(use_enable lzma)
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)"
+}
+
+src_install() {
+ default
+
+ # doesn't use libtool, can't disable static libraries
+ find "${ED}" -name '*.a' -delete || die
+}